Debian Debian-France Debian-Facile Debian-fr.org Forum-Debian.fr Debian ? Communautés

Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 01-10-2022 17:45:44

sd29
Membre
Distrib. : Debian Buster
(G)UI : XFCE
Inscription : 17-08-2022

Second écran n'est plus reconnu

bloc à supprimer si la commande n’affiche rien

Bonjour,
J'ai 2 écrans de même référence. Ma carte graphique est la suivante :


Device-1: NVIDIA GP106 [GeForce GTX 1060 6GB] vendor: ZOTAC driver: N/A bus ID: 26:00.0
Display: x11 server: X.Org 1.20.11 driver: loaded: nouveau,vesa unloaded: fbdev,modesetting resolution: 1920x1080
OpenGL: renderer: llvmpipe (LLVM 11.0.1 256 bits) v: 4.5 Mesa 20.3.5 direct render: Yes
 


L'écran principal est en DVI, 1 seul port sur la carte
Le secon est en HDMI, là aussi un seul port dispo
Hier tout fonctionnait. Ce matin au démarrage seul l'écran principal est détecté.
J'ai testé le second en débranchant le premier : il fonctionne.
xrandr donne ceci :


xrandr: Failed to get size of gamma for output default
Screen 0: minimum 640 x 480, current 1920 x 1080, maximum 1920 x 1080
default connected 1920x1080+0+0 0mm x 0mm
   1920x1080      0.00*
   640x480        0.00  
 



Avez vous une idée d’où viendrait le soucis ?

Merci

Dernière modification par sd29 (02-10-2022 22:47:53)

Hors ligne

#2 01-10-2022 19:01:48

sd29
Membre
Distrib. : Debian Buster
(G)UI : XFCE
Inscription : 17-08-2022

Re : Second écran n'est plus reconnu

J'ai oublié de préciser que j'ai fais un apt upgrade avant. Peut être qu'un des paquets mis à jour est la cause du problème ?
Voici la liste des paquets mis à jour :


    avahi-daemon:amd64 (0.8-5    0.8-5+deb11u1)
    base-files:amd64 (11.1+deb11u4       11.1+deb11u5)
    bind9-dnsutils:amd64 (1:9.16.27-1~deb11u1    1:9.16.33-1~deb11u1)
    bind9-host:amd64 (1:9.16.27-1~deb11u1        1:9.16.33-1~deb11u1)
    bind9-libs:amd64 (1:9.16.27-1~deb11u1        1:9.16.33-1~deb11u1)
    curl:amd64 (7.74.0-1.3+deb11u2       7.74.0-1.3+deb11u3)
    docker-compose-plugin:amd64 (2.6.0~debian-bullseye   2.10.2~debian-bullseye)
    dpkg-dev:amd64 (1.20.11      1.20.12)
    firefox-esr-l10n-fr:amd64 (91.13.0esr-1~deb11u1      102.3.0esr-1~deb11u1)
    firefox-esr:amd64 (91.13.0esr-1~deb11u1      102.3.0esr-1~deb11u1)
    fonts-opensymbol:amd64 (2:102.11+LibO7.0.4-4+deb11u1         2:102.11+LibO7.0.4-4+deb11u3)
    gir1.2-gdkpixbuf-2.0:amd64 (2.42.2+dfsg-1    2.42.2+dfsg-1+deb11u1)
    gir1.2-javascriptcoregtk-4.0:amd64 (2.36.7-1~deb11u1         2.38.0-1~deb11u1)
    gir1.2-webkit2-4.0:amd64 (2.36.7-1~deb11u1   2.38.0-1~deb11u1)
    grub-common:amd64 (2.04-20   2.06-3~deb11u2)
    grub-pc-bin:amd64 (2.04-20   2.06-3~deb11u2)
    grub-pc:amd64 (2.04-20       2.06-3~deb11u2)
    grub2-common:amd64 (2.04-20  2.06-3~deb11u2)
    libavahi-client3:amd64 (0.8-5        0.8-5+deb11u1)
    libavahi-common3:amd64 (0.8-5        0.8-5+deb11u1)
    libc-dev-bin:amd64 (2.31-13+deb11u3  2.31-13+deb11u4)
    libc6-dev:amd64 (2.31-13+deb11u3     2.31-13+deb11u4)
    libdpkg-perl:amd64 (1.20.11  1.20.12)
    libexpat1-dev:amd64 (2.2.10-2+deb11u3        2.2.10-2+deb11u4)
    libhttp-daemon-perl:amd64 (6.12-1    6.12-1+deb11u1)
    libk5crypto3:amd64 (1.18.3-6+deb11u1         1.18.3-6+deb11u2)
    libpcre2-dev:amd64 (10.36-2  10.36-2+deb11u1)
    libpoppler-cpp0v5:amd64 (20.09.0-3.1         20.09.0-3.1+deb11u1)
    libreoffice-gtk3:amd64 (1:7.0.4-4+deb11u1    1:7.0.4-4+deb11u3)
    libreoffice-help-fr:amd64 (1:7.0.4-4+deb11u1         1:7.0.4-4+deb11u3)
    libreoffice-math:amd64 (1:7.0.4-4+deb11u1    1:7.0.4-4+deb11u3)
    libuno-sal3:amd64 (1:7.0.4-4+deb11u1         1:7.0.4-4+deb11u3)
    linux-libc-dev:amd64 (5.10.136-1     5.10.140-1)
    lkrb5-locales:amd64 (1.18.3-6+deb11u1        1.18.3-6+deb11u2)
    libavahi-common-data:amd64 (0.8-5    0.8-5+deb11u1)
    libavahi-core7:amd64 (0.8-5  0.8-5+deb11u1)
    libavahi-glib1:amd64 (0.8-5  0.8-5+deb11u1)
    libayatana-appindicator3-1:amd64 (0.5.5-2    0.5.5-2+deb11u2)
    libc-bin:amd64 (2.31-13+deb11u3      2.31-13+deb11u4)
    libc-devtools:amd64 (2.31-13+deb11u3         2.31-13+deb11u4)
    libc-l10n:amd64 (2.31-13+deb11u3     2.31-13+deb11u4)
    libc6:amd64 (2.31-13+deb11u3         2.31-13+deb11u4)
    libcurl3-gnutls:amd64 (7.74.0-1.3+deb11u2    7.74.0-1.3+deb11u3)
    libcurl4-gnutls-dev:amd64 (7.74.0-1.3+deb11u2        7.74.0-1.3+deb11u3)
    libcurl4:amd64 (7.74.0-1.3+deb11u2   7.74.0-1.3+deb11u3)
    libexpat1:amd64 (2.2.10-2+deb11u3    2.2.10-2+deb11u4)
    libgdk-pixbuf-2.0-0:amd64 (2.42.2+dfsg-1     2.42.2+dfsg-1+deb11u1)
    libgdk-pixbuf-2.0-dev:amd64 (2.42.2+dfsg-1   2.42.2+dfsg-1+deb11u1)
    libgdk-pixbuf2.0-bin:amd64 (2.42.2+dfsg-1    2.42.2+dfsg-1+deb11u1)
    libgdk-pixbuf2.0-common:amd64 (2.42.2+dfsg-1         2.42.2+dfsg-1+deb11u1)
    libgssapi-krb5-2:amd64 (1.18.3-6+deb11u1     1.18.3-6+deb11u2)
    libjavascriptcoregtk-4.0-18:amd64 (2.36.7-1~deb11u1  2.38.0-1~deb11u1)
    libjuh-java:amd64 (1:7.0.4-4+deb11u1         1:7.0.4-4+deb11u3)
    libjurt-java:amd64 (1:7.0.4-4+deb11u1        1:7.0.4-4+deb11u3)
    libkrb5-3:amd64 (1.18.3-6+deb11u1    1.18.3-6+deb11u2)
    libkrb5support0:amd64 (1.18.3-6+deb11u1      1.18.3-6+deb11u2)
    liblibreoffice-java:amd64 (1:7.0.4-4+deb11u1         1:7.0.4-4+deb11u3)
    libnss-systemd:amd64 (247.3-7        247.3-7+deb11u1)
    libpam-systemd:amd64 (247.3-7        247.3-7+deb11u1)
    libpcre2-16-0:amd64 (10.36-2         10.36-2+deb11u1)
    libpcre2-32-0:amd64 (10.36-2         10.36-2+deb11u1)
    libpcre2-8-0:amd64 (10.36-2  10.36-2+deb11u1)
    libpcre2-posix2:amd64 (10.36-2       10.36-2+deb11u1)
    libpoppler-glib8:amd64 (20.09.0-3.1  20.09.0-3.1+deb11u1)
    libpoppler102:amd64 (20.09.0-3.1     20.09.0-3.1+deb11u1)
    libreoffice-base-core:amd64 (1:7.0.4-4+deb11u1       1:7.0.4-4+deb11u3)
    libreoffice-calc:amd64 (1:7.0.4-4+deb11u1    1:7.0.4-4+deb11u3)
    libreoffice-common:amd64 (1:7.0.4-4+deb11u1  1:7.0.4-4+deb11u3)
    libreoffice-core:amd64 (1:7.0.4-4+deb11u1    1:7.0.4-4+deb11u3)
    libreoffice-draw:amd64 (1:7.0.4-4+deb11u1    1:7.0.4-4+deb11u3)
    libreoffice-help-common:amd64 (1:7.0.4-4+deb11u1     1:7.0.4-4+deb11u3)
    libreoffice-help-en-us:amd64 (1:7.0.4-4+deb11u1      1:7.0.4-4+deb11u3)
    libreoffice-impress:amd64 (1:7.0.4-4+deb11u1         1:7.0.4-4+deb11u3)
    libreoffice-l10n-fr:amd64 (1:7.0.4-4+deb11u1         1:7.0.4-4+deb11u3)
    libreoffice-style-colibre:amd64 (1:7.0.4-4+deb11u1   1:7.0.4-4+deb11u3)
    libreoffice-writer:amd64 (1:7.0.4-4+deb11u1  1:7.0.4-4+deb11u3)
    libridl-java:amd64 (1:7.0.4-4+deb11u1        1:7.0.4-4+deb11u3)
    libsystemd0:amd64 (247.3-7   247.3-7+deb11u1)
    libudev1:amd64 (247.3-7      247.3-7+deb11u1)
    libuno-cppu3:amd64 (1:7.0.4-4+deb11u1        1:7.0.4-4+deb11u3)
    libuno-cppuhelpergcc3-3:amd64 (1:7.0.4-4+deb11u1     1:7.0.4-4+deb11u3)
    libuno-purpenvhelpergcc3-3:amd64 (1:7.0.4-4+deb11u1  1:7.0.4-4+deb11u3)
    libuno-salhelpergcc3-3:amd64 (1:7.0.4-4+deb11u1      1:7.0.4-4+deb11u3)
    libunoloader-java:amd64 (1:7.0.4-4+deb11u1   1:7.0.4-4+deb11u3)
    libwebkit2gtk-4.0-37:amd64 (2.36.7-1~deb11u1         2.38.0-1~deb11u1)
    linux-image-amd64:amd64 (5.10.136-1  5.10.140-1)
    locales:amd64 (2.31-13+deb11u3       2.31-13+deb11u4)
    poppler-utils:amd64 (20.09.0-3.1     20.09.0-3.1+deb11u1)
    postgresql-client-common:amd64 (242.pgdg110+1        243.pgdg110+1)
    postgresql-common:amd64 (242.pgdg110+1       243.pgdg110+1)
    publicsuffix:amd64 (20211207.1025-0+deb11u1  20220811.1734-0+deb11u1)
    python3-uno:amd64 (1:7.0.4-4+deb11u1         1:7.0.4-4+deb11u3)
    systemd-sysv:amd64 (247.3-7  247.3-7+deb11u1)
    systemd-timesyncd:amd64 (247.3-7     247.3-7+deb11u1)
    systemd:amd64 (247.3-7       247.3-7+deb11u1)
    thunderbird:amd64 (1:91.13.0-1~deb11u1       1:102.3.0-1~deb11u1)
    udev:amd64 (247.3-7  247.3-7+deb11u1)
    uno-libs-private:amd64 (1:7.0.4-4+deb11u1    1:7.0.4-4+deb11u3)
    ure:amd64 (1:7.0.4-4+deb11u1         1:7.0.4-4+deb11u3)
 

Hors ligne

#3 01-10-2022 20:05:40

Croutons
Membre
Distrib. : Debian10 Buster
Noyau : Linux 4.19.0-18-amd64
(G)UI : Mate
Inscription : 16-12-2016

Re : Second écran n'est plus reconnu

Hello
Au menu grub , vas dans le menu des options avancé et démarre sur un ancien noyau
y'a t'il du mieux?

-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

Hors ligne

#4 01-10-2022 21:05:02

sd29
Membre
Distrib. : Debian Buster
(G)UI : XFCE
Inscription : 17-08-2022

Re : Second écran n'est plus reconnu

Et bien oui, cela fonctionne...
Cela veux dire que je dois laisser tomber le dernier noyau dispo pour la distrib ?

Hors ligne

#5 02-10-2022 09:14:38

Croutons
Membre
Distrib. : Debian10 Buster
Noyau : Linux 4.19.0-18-amd64
(G)UI : Mate
Inscription : 16-12-2016

Re : Second écran n'est plus reconnu

non ça veut seulement dire que quelque chose c'est mal passé pendant ta mise à jour, donc faut pas mettre encore résolu sinon personne va s’intéresser a ton poste
je pense que c'est peut être du a l'absence de dkms, que donne

apt policy dkms

Dernière modification par Croutons (02-10-2022 10:36:09)


-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

Hors ligne

#6 02-10-2022 22:49:14

sd29
Membre
Distrib. : Debian Buster
(G)UI : XFCE
Inscription : 17-08-2022

Re : Second écran n'est plus reconnu

Ca donne ceci :


dkms:
  Installé : (aucun)
  Candidat : 2.8.4-3
 Table de version :
     2.8.4-3 500
        500 http://deb.debian.org/debian bullseye/main amd64 Packages
 

Hors ligne

#7 03-10-2022 10:37:38

Croutons
Membre
Distrib. : Debian10 Buster
Noyau : Linux 4.19.0-18-amd64
(G)UI : Mate
Inscription : 16-12-2016

Re : Second écran n'est plus reconnu

demarre normalement (sur le dernier noyau), puis

apt install dkms


les modules on besoin de dkms pour ce mettre a jour pour le dernier noyau (je sais pas si c'est valable avec tout les modules)

update-initramfs -u


est ce que ça fonctionne mieux


-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

Hors ligne

#8 03-10-2022 10:58:24

sd29
Membre
Distrib. : Debian Buster
(G)UI : XFCE
Inscription : 17-08-2022

Re : Second écran n'est plus reconnu

Après avoir installé dkms et lancé update-initramfs, pas de changements, le problème reste présent.

Hors ligne

#9 03-10-2022 11:53:09

Croutons
Membre
Distrib. : Debian10 Buster
Noyau : Linux 4.19.0-18-amd64
(G)UI : Mate
Inscription : 16-12-2016

Re : Second écran n'est plus reconnu

ah oui , ça a servis a rien ,je pensais que update-initframfs allait lancer dkms, pour la mise à jour des modules il faut reconfigurer le dernier noyau
donc le 5.10.140-1 paquet linux-image-5.10.0-18-amd64
au pire si c'est pas lié a dkms il y aura pas de mieux

dpkg-reconfigure linux-image-5.10.0-18-amd64


-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

Hors ligne

#10 05-10-2022 18:18:42

èfpé
Membre
Inscription : 10-07-2016

Re : Second écran n'est plus reconnu

@Croutons,

Croutons a écrit :

les modules ont besoin de dkms pour se mettre à jour pour le dernier noyau


Cette affirmation est erronée. Si c'était le cas, les paquets linux-image* dépendraient dudit paquet !

Croutons a écrit :

(je ne sais pas si c'est valable avec tous les modules)


DKMS n'entre en jeu que pour recompiler les modules out-of-tree, compilés et installés via... DKMS.

Hors ligne

#11 06-10-2022 08:46:04

sd29
Membre
Distrib. : Debian Buster
(G)UI : XFCE
Inscription : 17-08-2022

Re : Second écran n'est plus reconnu

Croutons a écrit :

ah oui , ça a servis a rien ,je pensais que update-initframfs allait lancer dkms, pour la mise à jour des modules il faut reconfigurer le dernier noyau
donc le 5.10.140-1 paquet linux-image-5.10.0-18-amd64
au pire si c'est pas lié a dkms il y aura pas de mieux

dpkg-reconfigure linux-image-5.10.0-18-amd64



Toujours pareil, voici le résultat de la commande :


/etc/kernel/postinst.d/dkms:
dkms: running auto installation service for kernel 5.10.0-18-amd64:.
/etc/kernel/postinst.d/initramfs-tools:
update-initramfs: Generating /boot/initrd.img-5.10.0-18-amd64
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8125b-2.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8125a-3.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8107e-2.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8107e-1.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8168fp-3.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8168h-2.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8168h-1.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8168g-3.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8168g-2.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8106e-2.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8106e-1.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8411-2.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8411-1.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8402-1.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8168f-2.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8168f-1.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8105e-1.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8168e-3.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8168e-2.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8168e-1.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8168d-2.fw for module r8169
W: Possible missing firmware /lib/firmware/rtl_nic/rtl8168d-1.fw for module r8169
/etc/kernel/postinst.d/zz-update-grub:
Generating grub configuration file ...
Found background image: /usr/share/images/desktop-base/desktop-grub.png
Found linux image: /boot/vmlinuz-5.10.0-18-amd64
Found initrd image: /boot/initrd.img-5.10.0-18-amd64
Found linux image: /boot/vmlinuz-5.10.0-17-amd64
Found initrd image: /boot/initrd.img-5.10.0-17-amd64
Warning: os-prober will be executed to detect other bootable partitions.
Its output will be used to detect bootable binaries on them and create new boot entries.
done
 

Hors ligne

Pied de page des forums